aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Core

Synopsis

- data SesError = SesError {
  - sesStatusCode :: Status
  - sesErrorCode :: Text
  - sesErrorMessage :: Text
  }
- data SesMetadata = SesMetadata {
  - requestId :: Maybe Text
  }
- data SesConfiguration qt = SesConfiguration {
  - sesiHttpMethod :: Method
  - sesiHost :: ByteString
  }
- sesEuWest1 :: ByteString
- sesUsEast :: ByteString
- sesUsEast1 :: ByteString
- sesUsWest2 :: ByteString
- sesHttpsGet :: ByteString -> SesConfiguration qt
- sesHttpsPost :: ByteString -> SesConfiguration NormalQuery
- sesSignQuery :: [(ByteString, ByteString)] -> SesConfiguration qt -> SignatureData -> SignedQuery
- sesResponseConsumer :: (Cursor -> Response SesMetadata a) -> IORef SesMetadata -> HTTPResponseConsumer a
- data RawMessage = RawMessage {
  - rawMessageData :: ByteString
  }
- data Destination = Destination {
  - destinationBccAddresses :: [EmailAddress]
  - destinationCcAddresses :: [EmailAddress]
  - destinationToAddresses :: [EmailAddress]
  }
- type EmailAddress = Text
- data Sender = Sender {
  - senderAddress :: EmailAddress
  }
- sesAsQuery :: SesAsQuery a => a -> [(ByteString, ByteString)]

# Documentation

data SesError Source #

Constructors

SesError |

Fields

- sesStatusCode :: Status
- sesErrorCode :: Text
- sesErrorMessage :: Text

#### Instances

Instances details

Exception SesError Source # |
Instance details Defined in Aws.Ses.Core Methods toException :: SesError -> SomeException Source # fromException :: SomeException -> Maybe SesError Source # displayException :: SesError -> String Source # backtraceDesired :: SesError -> Bool Source #
Show SesError Source # |
Instance details Defined in Aws.Ses.Core Methods showsPrec :: Int -> SesError -> ShowS Source # show :: SesError -> String Source # showList :: [SesError] -> ShowS Source #

data SesMetadata Source #

Constructors

SesMetadata |

Fields

- requestId :: Maybe Text

#### Instances

Instances details

Loggable SesMetadata Source # |
Instance details Defined in Aws.Ses.Core Methods toLogText :: SesMetadata -> Text Source #
Monoid SesMetadata Source # |
Instance details Defined in Aws.Ses.Core Methods mempty :: SesMetadata Source # mappend :: SesMetadata -> SesMetadata -> SesMetadata Source # mconcat :: [SesMetadata] -> SesMetadata Source #
Semigroup SesMetadata Source # |
Instance details Defined in Aws.Ses.Core Methods (<>) :: SesMetadata -> SesMetadata -> SesMetadata Source # sconcat :: NonEmpty SesMetadata -> SesMetadata Source # stimes :: Integral b => b -> SesMetadata -> SesMetadata Source #
Show SesMetadata Source # |
Instance details Defined in Aws.Ses.Core Methods showsPrec :: Int -> SesMetadata -> ShowS Source # show :: SesMetadata -> String Source # showList :: [SesMetadata] -> ShowS Source #

data SesConfiguration qt Source #

Constructors

SesConfiguration |

Fields

- sesiHttpMethod :: Method
- sesiHost :: ByteString

#### Instances

Instances details

DefaultServiceConfiguration (SesConfiguration NormalQuery) Source # |
Instance details Defined in Aws.Ses.Core Methods defServiceConfig :: SesConfiguration NormalQuery Source # debugServiceConfig :: SesConfiguration NormalQuery Source #
DefaultServiceConfiguration (SesConfiguration UriOnlyQuery) Source # |
Instance details Defined in Aws.Ses.Core Methods defServiceConfig :: SesConfiguration UriOnlyQuery Source # debugServiceConfig :: SesConfiguration UriOnlyQuery Source #
Show (SesConfiguration qt) Source # |
Instance details Defined in Aws.Ses.Core Methods showsPrec :: Int -> SesConfiguration qt -> ShowS Source # show :: SesConfiguration qt -> String Source # showList :: [SesConfiguration qt] -> ShowS Source #

sesEuWest1 :: ByteString Source #

sesUsEast :: ByteString Source #

sesUsEast1 :: ByteString Source #

sesUsWest2 :: ByteString Source #

sesHttpsGet :: ByteString -> SesConfiguration qt Source #

sesHttpsPost :: ByteString -> SesConfiguration NormalQuery Source #

sesSignQuery :: [(ByteString, ByteString)] -> SesConfiguration qt -> SignatureData -> SignedQuery Source #

sesResponseConsumer :: (Cursor -> Response SesMetadata a) -> IORef SesMetadata -> HTTPResponseConsumer a Source #

data RawMessage Source #

A raw e-mail.

Constructors

RawMessage |

Fields

- rawMessageData :: ByteString

#### Instances

Instances details

Show RawMessage Source # |
Instance details Defined in Aws.Ses.Core Methods showsPrec :: Int -> RawMessage -> ShowS Source # show :: RawMessage -> String Source # showList :: [RawMessage] -> ShowS Source #
Eq RawMessage Source # |
Instance details Defined in Aws.Ses.Core Methods (==) :: RawMessage -> RawMessage -> Bool Source # (/=) :: RawMessage -> RawMessage -> Bool Source #
Ord RawMessage Source # |

Instance details

Defined in Aws.Ses.Core

Methods

compare :: RawMessage -> RawMessage -> Ordering Source #

(<) :: RawMessage -> RawMessage -> Bool Source #

(<=) :: RawMessage -> RawMessage -> Bool Source #

(>) :: RawMessage -> RawMessage -> Bool Source #

(>=) :: RawMessage -> RawMessage -> Bool Source #

max :: RawMessage -> RawMessage -> RawMessage Source #

min :: RawMessage -> RawMessage -> RawMessage Source #

data Destination Source #

The destinations of an e-mail.

Constructors

Destination |

Fields

- destinationBccAddresses :: [EmailAddress]
- destinationCcAddresses :: [EmailAddress]
- destinationToAddresses :: [EmailAddress]

#### Instances

Instances details

Monoid Destination Source # |
Instance details Defined in Aws.Ses.Core Methods mempty :: Destination Source # mappend :: Destination -> Destination -> Destination Source # mconcat :: [Destination] -> Destination Source #
Semigroup Destination Source # |
Instance details Defined in Aws.Ses.Core Methods (<>) :: Destination -> Destination -> Destination Source # sconcat :: NonEmpty Destination -> Destination Source # stimes :: Integral b => b -> Destination -> Destination Source #
Show Destination Source # |
Instance details Defined in Aws.Ses.Core Methods showsPrec :: Int -> Destination -> ShowS Source # show :: Destination -> String Source # showList :: [Destination] -> ShowS Source #
Eq Destination Source # |
Instance details Defined in Aws.Ses.Core Methods (==) :: Destination -> Destination -> Bool Source # (/=) :: Destination -> Destination -> Bool Source #
Ord Destination Source # |

Instance details

Defined in Aws.Ses.Core

Methods

compare :: Destination -> Destination -> Ordering Source #

(<) :: Destination -> Destination -> Bool Source #

(<=) :: Destination -> Destination -> Bool Source #

(>) :: Destination -> Destination -> Bool Source #

(>=) :: Destination -> Destination -> Bool Source #

max :: Destination -> Destination -> Destination Source #

min :: Destination -> Destination -> Destination Source #

type EmailAddress = Text Source #

An e-mail address.

data Sender Source #

The sender's e-mail address.

Constructors

Sender |

Fields

- senderAddress :: EmailAddress

#### Instances

Instances details

Show Sender Source # |
Instance details Defined in Aws.Ses.Core Methods showsPrec :: Int -> Sender -> ShowS Source # show :: Sender -> String Source # showList :: [Sender] -> ShowS Source #
Eq Sender Source # |
Instance details Defined in Aws.Ses.Core Methods (==) :: Sender -> Sender -> Bool Source # (/=) :: Sender -> Sender -> Bool Source #
Ord Sender Source # |
Instance details Defined in Aws.Ses.Core Methods compare :: Sender -> Sender -> Ordering Source # (<) :: Sender -> Sender -> Bool Source # (<=) :: Sender -> Sender -> Bool Source # (>) :: Sender -> Sender -> Bool Source # (>=) :: Sender -> Sender -> Bool Source # max :: Sender -> Sender -> Sender Source # min :: Sender -> Sender -> Sender Source #

sesAsQuery :: SesAsQuery a => a -> [(ByteString, ByteString)] Source #

Write a data type as a list of query parameters.